// out: ../../css/views/generic-views.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// variables & mixings
@import "../variables.scss";

//
// resources mosaic
//
.resources-mosaic {
  //padding-top: 50px;
  position: relative;

  .view-header {
    p {
      text-align: right;

      a.cbox-element-page {
        font-weight: bold;

        &::before {
          content: "U";
          font-family: "cern-icons";
          -moz-osx-font-smoothing: grayscale;
          -webkit-font-smoothing: antialiased;
          font-size: 35px;
          font-weight: bold;
          line-height: 35px;
          position: relative;
          left: -10px;
          top: 11px;
        }
      }
    }
  }

  .view-content {
    @media only screen and (min-width: 992px) {
      .owl-stage-outer {
        max-height: 470px;
      }
    }

    @media only screen and (min-width: 501px) {
      .owl-stage-outer {
        max-height: 690px;
      }
    }

    @media only screen and (max-width: 500px) {
      .owl-stage-outer {
        max-height: 1365px;
      }
    }

    .owl-dots {
      margin-top: 3rem;
    }

    .owl-item.active {
      .carousel-cern-item {
        margin: 0 -8px;
      }
    }

    .owl-item {
      .views-row {
        float: left;
        margin: 8px;

        .views-field,
        .box-pattern {
          height: 100% !important;
          width: 100%;
          margin: 0;
          cursor: pointer;

          .component-preview-cards__box_wrapper {
            .component-preview-cards__box {
              *:not(.component-preview-cards__category-icon-vocabulary) {
                display: none;
              }
            }

            //display: none;
          }
        }

        .cbox-element {
          display: block;
          width: 100%;
          height: 100%;
          position: relative;
          z-index: 2;
        }

        .cbox-element {
          display: none;
        }
      }

      .views-row:nth-child(1) {
        height: 436px;
        width: calc(33.33% - 16px);

        .component-preview-cards__category-icon-vocabulary {
          position: absolute;
          top: 160px;
          width: 99%;
        }

        @media only screen and (max-width: 991px) {
          .component-preview-cards__category-icon-vocabulary {
            top: 45px;
          }
        }
      }

      .views-row:nth-child(2),
      .views-row:nth-child(3) {
        height: 210px;
        width: calc(33.33% - 16px);

        .component-preview-cards__category-icon-vocabulary {
          position: absolute;
          top: 45px;
          width: 99%;
        }
      }

      .views-row:nth-child(4),
      .views-row:nth-child(5),
      .views-row:nth-child(6) {
        height: 210px;
        width: calc(22.22% - 16px);

        .component-preview-cards__category-icon-vocabulary {
          position: absolute;
          top: 45px;
          width: 99%;
        }
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .resources-mosaic {
    .views-row {
      width: calc(50% - 16px) !important;
      height: 210px !important;
    }
  }
}

@media only screen and (max-width: 500px) {
  .resources-mosaic {
    .views-row {
      width: calc(100% - 16px) !important;
      height: 210px !important;
    }
  }
}

//
// upcoming events
//
.events-collision {
  @media screen and (min-width: 992px) {
    padding: 0 100px;
  }

  .view-content.owl-carousel:before {
    content: " ";
    height: 2px;
    width: 4000px;
    display: block;
    position: absolute;
    top: 7px;
    background: transparent;
    left: -1500px;
    border-top: 2px dotted #e6e6e6;
  }

  & > h2 {
    font-size: 30px;
    text-align: center;
    margin-bottom: 3rem;
  }

  .more-link {
    text-align: right;
    margin-top: 0rem;

    @media screen and (min-width: 992px) {
      margin-right: -95px;
    }

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
        left: auto;
      }
    }
  }

  .owl-nav {
    @media screen and (min-width: 992px) {
      margin: 0 -100px;
    }

    position: relative;

    .owl-prev {
      position: absolute;
      left: 0;
      top: -200px;
      background: transparent;

      &:after {
        content: "d";
        display: block;
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        font-size: 40px;
      }

      &:hover {
        background: transparent;
      }
    }

    .owl-next {
      position: absolute;
      right: 0;
      top: -200px;
      background: transparent;

      &:after {
        content: "c";
        display: block;
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        font-size: 40px;
      }

      &:hover {
        background: transparent;
      }
    }
  }

  .view-footer {
    text-align: right;
    margin-top: 3rem;
    margin-right: -100px;

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        //color: #f2a530;
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
        left: auto;
      }
    }
  }

  @media screen and (max-width: 991px) {
    .view-footer {
      margin-right: 0;
    }

    .owl-nav {
      margin: 15px;

      .owl-prev {
        position: static;
      }

      .owl-next {
        position: static;
      }
    }
  }

  .agenda-box-pattern {
    padding: 20px 32px;
    background: transparent !important;

    &:before {
      content: " " close-quote;
      width: 0;
      height: 0;
      border: 4px solid #cacaca;
      display: block;
      border-radius: 100%;
      position: absolute;
      top: 0px;
    }

    .agenda-box-pattern__box-wrapper {
      align-self: flex-start;
    }

    .agenda-box-event-time,
    .agenda-box-cal-wrapper {
      display: none;
    }

    .agenda-box-date-wrapper {
      .agenda-box-week-day {
        display: none;
      }
    }
  }
}

@media screen and (max-width: 991px) {
  .events-collision {
    .view-content.owl-carousel:before {
      content: none;
    }

    .owl-item:not(.active) {
      * {
        display: none;
      }
    }

    .owl-item.active {
      .carousel-cern-item.row {
        .views-row {
          height: auto !important;

          .agenda-box-pattern {
            min-height: 0 !important;
          }

          .agenda-box-pattern {
            &:before {
              content: none;
            }
          }
        }
      }
    }
  }
}

@media screen and (max-width: 767px) {
  .events-collision {
    .owl-item.active {
      .carousel-cern-item.row {
        &:before {
          left: 35px;
        }
      }
    }
  }
}

@media screen and (max-width: 991px) {
  .bubbly-button {
    display: none;
  }
}

@media screen and (min-width: 992px) {
  .bubbly-button {
    display: inline-block;
    padding: 4px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    color: white;
    border-radius: 100%;
    border: none;
    cursor: pointer;
    position: relative;
    transition: transform ease-in 0.1s, box-shadow ease-in 0.25s;
    top: 4px;
    left: 0;
    margin-left: calc(33.333333% + 36px);
    z-index: 1;
    position: absolute;

    &:focus {
      outline: 0;
    }

    &:before {
      position: absolute;
      content: "";
      display: block;
      width: 200px;
      height: 100px;
      left: -95px;
      z-index: -1000;
      transition: all ease-in-out 0.5s;
      background-repeat: no-repeat;
    }

    &:after {
      position: absolute;
      content: "";
      display: block;
      width: 140px;
      height: 50px;
      left: -65px;
      z-index: -1000;
      transition: all ease-in-out 0.5s;
      background-repeat: no-repeat;
    }

    &:before {
      display: none;
      animation: none;
      top: -80px;
      background-size: 10% 10%, 15% 15%, 12% 12%, 10% 10%, 14% 14%, 10% 10%,
        15% 15%, 10% 10%, 14% 14%;
    }

    &:after {
      display: none;
      animation: none;
      top: 0;
      background-size: 22% 22%, 28% 28%, 28% 28%, 25% 25%, 20% 20%, 28% 28%,
        20% 20%, 30% 30%, 30% 30%;
    }

    &:active {
      transform: scale(0.9);
    }

    &.animate {
      &:before {
        display: block;
        animation: topBubbles cubic-bezier(0.19, 1, 0.22, 1) 2s forwards;
      }

      &:after {
        display: block;
        animation: bottomBubbles cubic-bezier(0.19, 1, 0.22, 1) 2s forwards;
      }
    }
  }

  @keyframes topBubbles {
    0% {
      background-position: 50% 90%, 50% 90%, 50% 90%, 50% 90%, 50% 90%, 50% 90%,
        50% 90%, 55% 90%, 50% 90%;
    }

    100% {
      background-position: 0% 70%, 0% 10%, 10% 30%, 20% -10%, 30% 20%, 22% 40%,
        50% 40%, 65% 10%, 90% 20%;
      background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
    }
  }

  @keyframes bottomBubbles {
    0% {
      background-position: 50% -10%, 50% 10%, 50% 10%, 55% -10%, 50% -10%,
        50% -10%, 50% -10%, 50% 0%, 50% 0%;
    }

    65% {
      opacity: 1;
      background-size: 0% 0%, 0% 0%, 10% 10%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%,
        10% 10%;
    }

    100% {
      background-position: 0% 90%, 20% 90%, 19% 92%, 45% 70%, 60% 120%, 75% 80%,
        95% 70%, 105% 10%, 105% 6%;
      opacity: 0;
      background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
    }
  }
}

//
// featured banner
//
.featured-banner {
  .view-header {
    h2 {
      text-transform: uppercase;
      font-size: 30px;
      text-align: center;
      margin-bottom: 3rem;
    }
  }

  .view-footer {
    text-align: right;
    margin-top: 3rem;

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        //color: #f2a530;
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
        left: auto;
      }
    }
  }

  .view-content {
    .carousel-cern-item.row {
      .views-row {
        float: left;
      }
    }
  }

  .view-content,
  .carousel-cern-item.row {
    margin: 0 -8px;

    .views-row {
      margin: 8px;
      width: calc(33.333% - 16px);
      float: left;

      .component-preview-cards {
        margin: 0;
        width: 100%;
        background-color: white;
        margin-top: 40px;
        min-height: 0;

        .component-preview-cards__box_wrapper {
          min-height: 0;
          height: auto;

          //.preview-card {
          //  &__title {
          //    h3 {
          //      margin: 10px 0;
          //
          //      a {
          //        color: white;
          //      }
          //    }
          //  }
          //
          //  &__category,
          //  &__date,
          //  &__author {
          //    color: white;
          //    font-weight: 200;
          //
          //    a {
          //      color: white;
          //      font-weight: 200;
          //    }
          //  }
          //
          //  &__avatar {
          //    width: 65px !important;
          //    height: 65px !important;
          //    min-height: 0;
          //    background: #999999;
          //    border-radius: 100%;
          //    padding: 0;
          //  }
          //}

          .preview-card {
            &__title {
              h3 {
                margin: 10px 0;
                a {
                  //color: #2574b9;
                }
              }
            }
            &__category,
            &__date,
            &__author {
              color: black;
              a {
                color: black;
              }
            }
            &__avatar {
              width: 65px !important;
              height: 65px !important;
              min-height: unset;
              background: #999999;
              border-radius: 100%;
              padding: 0;
            }
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .featured-banner {
    .view-content {
      .views-row {
        width: calc(100% - 16px) !important;
        height: 210px !important;

        .component-preview-cards {
          //height: 100% !important;
        }

        .component-preview-cards {
          margin-top: 0;
          width: 40%;
        }
      }
    }
  }
}

@media only screen and (max-width: 767px) {
  .featured-banner {
    .view-content {
      .views-row {
        .component-preview-cards {
          // margin: 0;
          width: 90%;
        }
      }
    }
  }
}

//
// horizontal boxes
//
.horizontal-boxes {
  div {
    word-wrap: break-word;
  }

  .owl-stage {
    @include flexbox;
    @include align-items(stretch);
    @include justify-content(stretch);
  }

  .carousel-cern-item {
    min-height: 100%;
    @include flexbox;
    @include align-items(stretch);
    @include justify-content(stretch);

    .views-row {
      //height: auto;
      min-height: 100%;
      @include flexbox;
      @include align-items(stretch);
      @include justify-content(stretch);

      & > div {
        min-height: 100%;
        height: 232px !important;
        width: 100%;
      }

      .box-pattern > div {
        min-height: 100%;
        height: auto;
      }
    }
  }

  .view-footer {
    text-align: right;
    margin-top: 3rem;

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        //color: #f2a530;
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
        left: auto;
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .horizontal-boxes {
    .carousel-cern-item {
      @include flex-direction(column);

      .views-row {
        margin: 0 0 8px;

        & > div {
          //height: 33vh;
          height: 180px;
          width: 100%;
        }
      }
    }
  }
}

//
// vertical boxes
//
.vertical-boxes {
  div {
    word-wrap: break-word;
  }
}

//
// teaser-list
//
.teaser-list {
  div {
    word-wrap: break-word;
  }

  & > h1 {
    margin: 3rem 0 !important;
    text-align: center;
  }

  .wrapper-center > h1,
  & > h1 {
    margin: 3rem 0 !important;
    text-align: center;
  }

  .views-exposed-form .form-inline {
    margin: 0 -10px;

    .form-item {
      vertical-align: top;

      &:first-child {
        display: block;
        text-align: center;
        position: relative;

        & > input {
          width: 98%;
          margin: 0 auto 15px auto;
          height: 40px;
          padding-left: 40px;
        }

        &:before {
          content: "O";
          font-family: "cern-icons";
          -moz-osx-font-smoothing: grayscale;
          -webkit-font-smoothing: antialiased;
          position: absolute;
          left: 8px;
          width: 25px;
          height: 25px;
          top: 8px;
          text-align: center;
          line-height: 21px;
          font-weight: 500;
          padding-right: 2px;
          font-size: 46px;
          color: #0855a0;
        }

        &.form-type-text {
          width: 100%;
        }
      }

      &:not(:first-child) {
        margin: 10px !important;

        input {
          width: 100%;
        }

        div.select-wrapper select {
          width: 100%;
        }
      }

      & > input {
        display: block;
      }
    }

    .form-actions {
      margin: 10px !important;
      vertical-align: bottom !important;
      text-align: right !important;

      button {
        width: 100%;
      }
    }
  }

  .view-header {
    margin: 50px 0;
    text-transform: uppercase;
    font-family: "opensans-bold";

    a {
      position: relative;

      &.active:after {
        content: " ";
        position: absolute;
        width: 100%;
        height: 2px;
        background: #0855a0;
        bottom: -2px;
        left: 0;
      }
    }
  }

  .view-footer {
    text-align: right;
  }

  .view-content {
    margin: 0 -15px;

    .views-row {
      margin-bottom: 15px;
      //width: 100%;
      float: none;
      margin: 0 15px 30px;
    }
  }
}

@media only screen and (max-width: 991px) {
  .teaser-list {
    .views-exposed-form .form-inline {
      .form-item {
        display: inline-block;

        &:first-child {
          margin: 10px 5px 10px 5px;

          &:before {
            left: 0px;
          }
        }
      }

      .form-actions {
        display: inline-block;
        text-align: right;
        width: calc(100% - 20px) !important;
      }
    }
  }
}

@media only screen and (max-width: 767px) {
  .teaser-list .view-header {
    margin-bottom: 25px;
  }

  .teaser-list .view-content {
    margin: 0;

    .views-row {
      margin: 0 0 16px 0 !important;

      .views-field {
        .field-content {
          display: block;

          .box-pattern {
            float: none !important;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 500px) {
  .teaser-list {
    .views-exposed-form .form-inline {
      margin: 0;

      .form-item {
        &:first-child {
          & > input {
            width: 100%;
          }

          &:before {
            left: -5px;
          }
        }

        &:not(:first-child),
        &:first-child {
          width: 100% !important;
          margin-left: 0 !important;
          margin-right: 0 !important;
          display: block !important;
        }
      }

      .form-actions {
        display: block !important;
        width: 100% !important;
        margin: 0px !important;

        button {
          width: auto !important;
        }
      }
    }

    .view-content {
      .views-row {
        margin: 0 0 25px 0;
      }
    }
  }
}

//
// generic styles
//
.vertical-boxes,
.horizontal-boxes,
.featured-banner,
.resources-mosaic,
.events-collision,
.events-countdown,
.teaser-list {
  .box-pattern {
    h3 {
      font-size: 20px !important;

      a {
        font-size: 20px !important;
        color: rgb(37, 116, 185);

        & * {
          font-size: 20px !important;
          line-height: 28px !important;
        }
      }
    }
  }

  .select-wrapper::before {
    border-width: 0;
    border-color: transparent;
  }

  .component-preview-cards .component-preview-cards__category-icon-vocabulary {
    position: absolute;
    top: calc(50% - 50px);
    line-height: 50px;
    width: 100%;

    &::before {
      top: 0;
      line-height: 50px;
    }
  }

  .preview-list-news-info {
    @include font-size(1.6);
  }

  .view-footer {
    text-align: right;
    margin-top: 3rem;

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        //color: #f2a530;
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
        left: auto;
      }
    }
  }
}
